# NinetyEight.NEUserBalance

## Struct NEUserBalance <a href="#ninetyeight_neuserbalance" id="ninetyeight_neuserbalance"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Represents the user's balance and currency information.\
Tracks the available, total, and frozen amounts of a specific currency.

```csharp
[Serializable]
public struct NEUserBalance
```

**Inherited Members**

[object.Equals(object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object\)),[object.Equals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object-system-object\)),[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode),[object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype),[object.ReferenceEquals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals),[object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

### Fields

#### Empty <a href="#ninetyeight_neuserbalance_empty" id="ninetyeight_neuserbalance_empty"></a>

Default empty profile.

```csharp
public static readonly NEUserBalance Empty
```

**Field Value**

NEUserBalance

#### available <a href="#ninetyeight_neuserbalance_available" id="ninetyeight_neuserbalance_available"></a>

The available amount of currency the user can use.

```csharp
public double available
```

**Field Value**

[double](https://learn.microsoft.com/dotnet/api/system.double)

#### balance <a href="#ninetyeight_neuserbalance_balance" id="ninetyeight_neuserbalance_balance"></a>

The total balance of currency, including frozen amounts.

```csharp
public double balance
```

**Field Value**

[double](https://learn.microsoft.com/dotnet/api/system.double)

#### currency <a href="#ninetyeight_neuserbalance_currency" id="ninetyeight_neuserbalance_currency"></a>

The type of currency (e.g., "SPACE\_STONE").

```csharp
public string? currency
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)?

#### frozen <a href="#ninetyeight_neuserbalance_frozen" id="ninetyeight_neuserbalance_frozen"></a>

The amount of currency that is frozen and cannot be used.

```csharp
public double frozen
```

**Field Value**

[double](https://learn.microsoft.com/dotnet/api/system.double)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.neuserbalance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
